"use strict";
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var directive_1 = require("../decorators/directive");
var angular_service_1 = require("../services/angular.service");
var base_directive_1 = require("./base.directive");
var PreventEventIfDirective = /** @class */ (function (_super) {
    tslib_1.__extends(PreventEventIfDirective, _super);
    function PreventEventIfDirective(timeout) {
        var _this = _super.call(this) || this;
        _this.timeout = timeout;
        return _this;
    }
    PreventEventIfDirective_1 = PreventEventIfDirective;
    PreventEventIfDirective.prototype.create = function (scope, instanceElement, instanceAttributes, controller, transclude) {
        instanceElement.on(scope["preventEvent"], function (e) {
            if (scope["preventEventIf"]()) {
                event.preventDefault();
                e.stopPropagation();
            }
        });
    };
    PreventEventIfDirective.factory = function (timeout) {
        return new PreventEventIfDirective_1(timeout);
    };
    PreventEventIfDirective = PreventEventIfDirective_1 = tslib_1.__decorate([
        directive_1.Directive({
            name: "preventEventIf",
            restrict: "A",
            bindings: {
                preventEventIf: "&",
                preventEvent: "@"
            },
            dependencies: [angular_service_1.AngularServices.timeout]
        })
    ], PreventEventIfDirective);
    return PreventEventIfDirective;
    var PreventEventIfDirective_1;
}(base_directive_1.DirectiveBase));
exports.PreventEventIfDirective = PreventEventIfDirective;
